#include <dht.h>
#include <Wire.h>

int PinValue = 0 ;
int RemoteNo = 2 ;
int SenseType = 2 ;
int SenseNo = 1 ;
int PinNo = 2 ;

dht TempHum ;

double DewPoint (double Celsius, double Humidity)
{
	double a = 17.271;
	double b = 237.7;
	double Temp = (a * Celsius) / (b + Celsius) + log(Humidity/100);
	double Td = (b * Temp) / (a - Temp);
	return Td;
}


void setup() 
{
	Serial.begin( 9600 );  
}

void loop() 
{
	int Command = 0 ;
	
	if ( Serial.available() > 0 ) 
	{
		Command = Serial.read () ;
//                Serial.flush () ;
/*
		Serial.print ("Command: ") ;
		Serial.println (Command) ;
*/
		int Chk = TempHum.read22 (PinNo) ;
		
		if (Chk == 0)
		{
			Serial.print (String (RemoteNo)) ;
			Serial.print (":") ;
			Serial.print (String (SenseType)) ;
			Serial.print (":") ;
			Serial.print (String (SenseNo)) ;
			Serial.print (":") ;
			Serial.print ((float) TempHum.temperature, 2) ;
			Serial.print ("|") ;
			Serial.print (String (RemoteNo)) ;
			Serial.print (":") ;
			Serial.print (String (SenseType+1)) ;
			Serial.print (":") ;
			Serial.print (String (SenseNo)) ;
			Serial.print (":") ;
			Serial.print ((float) TempHum.humidity, 2) ;
			Serial.print ("|") ;
			Serial.print (String (RemoteNo)) ;
			Serial.print (":") ;
			Serial.print (String (SenseType+2)) ;
			Serial.print (":") ;
			Serial.print (String (SenseNo)) ;
			Serial.print (":") ;
			Serial.println ((float) DewPoint (TempHum.temperature, TempHum.humidity)) ;

		}
		else
		{
			switch (Chk)
			{
				case -1: Serial.println("Checksum error"); break;
				case -2: Serial.println("Time out error"); break;
				default: Serial.println("Unknown error"); break;				
			}
		}
		Serial.flush () ;  
                delay (1000) ;                			
	}
}

 
