#include <dht.h>
#include <Wire.h>

int PinValue = 0 ;
int RemoteNo = 2 ;
int SenseType = 2 ;
int SenseNo = 1 ;
int PinNo = 2 ;

dht TempHum ;

double DewPoint (double Celsius, double Humidity)
{
	double a = 17.271;
	double b = 237.7;
	double Temp = (a * Celsius) / (b + Celsius) + log(Humidity/100);
	double Td = (b * Temp) / (a - Temp);
	return Td;
}


void setup() 
{
	Serial.begin( 9600 );  
}

void loop() 
{
	int Chk = TempHum.read (PinNo) ;
	
	switch (Chk)
	{
		case DHTLIB_OK:
			Serial.print (String (RemoteNo)) ;
			Serial.print (":") ;
			Serial.print (String (SenseType)) ;
			Serial.print (":") ;
			Serial.print (String (SenseNo)) ;
			Serial.print (":") ;
			Serial.print ((float) TempHum.temperature, 2) ;
			Serial.print ("|") ;
			Serial.print (String (RemoteNo)) ;
			Serial.print (":") ;
			Serial.print (String (SenseType+1)) ;
			Serial.print (":") ;
			Serial.print (String (SenseNo)) ;
			Serial.print (":") ;
			Serial.print ((float) TempHum.humidity, 2) ;
			Serial.print ("|") ;
			Serial.print (String (RemoteNo)) ;
			Serial.print (":") ;
			Serial.print (String (SenseType+2)) ;
			Serial.print (":") ;
			Serial.print (String (SenseNo)) ;
			Serial.print (":") ;
			Serial.println ((float) DewPoint (TempHum.temperature, TempHum.humidity)) ;
		break ;

		case DHTLIB_ERROR_CHECKSUM: 
			Serial.println("Checksum error"); 
		break;
		case DHTLIB_ERROR_TIMEOUT: 
			Serial.println("Time out error"); 
		break;
		case DHTLIB_ERROR_CONNECT:
			Serial.println("Connect error");
		break;
		case DHTLIB_ERROR_ACK_L:
			Serial.println("Ack Low error");
		break;
		case DHTLIB_ERROR_ACK_H:
			Serial.println("Ack High error");
		break;

		default:
//			Serial.println("Dunmo what went wrong");
		break ;
	}
        Serial.flush () ;
   	delay (2000) ;		
}

 
